image: node

stages:
  - deploy

before_script:
  - "which ssh-agent || ( apt-get update -y && apt-get install openssh-client -y  )"
  - "which rsync || ( apt-get update -y && apt-get install rsync -y )"
  #- "which yarn || ( apt-get update -y && apt-get install yarn -y )"
  - eval $(ssh-agent -s)
  - echo "$sps_pk" | tr -d '\r' | ssh-add - > /dev/null
  - mkdir -p ~/.ssh
  - chmod 700 ~/.ssh
  - ssh-keyscan -p 24 $sps_ip >> ~/.ssh/known_hosts
  - chmod 644 ~/.ssh/known_hosts
  - npm i
  - npm run build
#  - mkdir CONFIG
  #- echo $config > $CI_PROJECT_DIR/_config.php
  #- yarn

deploy:
  stage: deploy
  script:
    - rsync -Ppruci -e "ssh -p 24" --delete --exclude=".git" $CI_PROJECT_DIR/build/ $sps_user@$sps_ip:$sps_pwd
    # Non interactive ssh gracefully reloads server
    #- ssh $hawk_bs_user@$hawk_bs_ip '. /etc/profile; pm2 reload all'
  only:
    # Trigger deployments only from production branch
    #- production
    - master
